Bug 12260 - ncurses4 == bogus
ncurses4 == bogus
Product: Red Hat Linux
Classification: Retired
Component: ncurses (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Depends On:
  Show dependency treegraph
Reported: 2000-06-14 11:27 EDT by Hans de Goede
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-06-14 11:27:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2000-06-14 11:27:48 EDT
I seriously wonder why there is an ncurses4 package and not just a couple
of symlinks and an provides libncurses.so.4.

Esp since the only change is the .so version, no api changes we're made so
I seriously wonder what the use is of this seperate package.

Also libforms and the other companionlibs for ncurses are missing in the
ncurses4 package.
Comment 1 Bernhard Rosenkraenzer 2000-06-16 06:25:38 EDT
This is intentional.
There have been no API changes, but there has been a minor ABI change. It
probably doesn't affect anything because it only affects a function I've never
seen used anywhere, but better safe than sorry.

We aren't including libforms and libmenu because we never shipped anything that
uses them.
Comment 2 Hans de Goede 2000-06-16 08:26:23 EDT
If there has been an ABI change, then the ncurses4 package is justified, I
however can't find anything about this in the changelog for ncurses5, and it
seems strange that there is an ABI incompatibility, since for other distros the
major .so number won't change if they upgrade to this build ?!

Note You need to log in before you can comment on or make changes to this bug.